Subject: Re: [regression v4.17-rc0] Re: FORTIFY_SOURCE breaks ARM compilation in -next -- was Re: ARM compile failure in Re: linux-next: Tree for Apr 4

From: Pavel Machek <[email-masked]>
Date: Fri, 20 Apr 2018 22:30:09 +0200

On Fri 2018-04-20 15:30:03, Daniel Micay wrote:
> Well, that's not related, it's just this:
> 
> #ifdef __GNUC__
> #if (__GNUC__ == 3 && __GNUC_MINOR__ < 3)
> #error Your compiler is too buggy; it is known to miscompile kernels.
> #error    Known good compilers: 3.3, 4.x
> #endif
> #if GCC_VERSION >= 40800 && GCC_VERSION < 40803
> #error Your compiler is too buggy; it is known to miscompile kernels
> #error and result in filesystem corruption and oopses.
> #endif
> #endif

Yeah, I know. I guess the kernel would compile if I removed those
checks... 

									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html